import client, { createUeuse } from "@/lib/client";
import ueuseModule from "better-uwuzu-sdk/types/1.6.8/types/modules/ueuse";
import i18next from "i18next";

export default async function unfollowCommand(ueuse: ueuseModule) {
  const unfollow = await client.request("users/unfollow", {
    userid: ueuse.account.userid,
  });

  if (!unfollow.success) {
    console.warn("フォロー解除に失敗:", unfollow.error_code);
    return;
  }

  console.log("フォロー解除:", unfollow.userid);

  await createUeuse({
    text: i18next.t("unfollowedNotification", { username: ueuse.account.username }),
    replyid: ueuse.uniqid,
  }, "フォロー解除通知");
}